/**
 * 获取文件名 不含后缀
 * @param path
 * @returns
 */
export declare function getFilename(path: string): string;
export declare function getFileExt(path: string): string;
/**
 * 将文件路径转为驼峰式变量名
 * @param filename
 * @returns
 */
export declare function filePathToUpperCaseVariable(filename: string): string;
/**
 * 根据引入路径和文件夹，判断真实引入文件路径
 * @param files
 * @param importPath
 * @param dir
 * @returns
 */
export declare function getFilePath(files: Record<string, any>, importPath: string, parentFilePath?: string): string;
export declare function formatFiles(files: Record<string, any>): Record<string, any>;
export declare function arrayBufferToString(arraybuffer: ArrayBuffer): string;
